/*
 * LeafNode.java
 *
 * Created on May 18, 2004, 9:24 PM
 */

package spamfilter.decisiontree;

/**
 *
 * @author  AaronStJ
 */
public class LeafNode implements Node, Cloneable {
    
    private boolean value;
    
    /** Creates a new instance of LeafNode */
    public LeafNode(boolean v) {
        value = v;
    }
    
    public boolean isLeaf() {
        return true;
    }
    
    public void setValue(boolean v) { value = v; }
    public boolean getValue() { return value; }
    
    public Object clone() {                
        return new LeafNode(this.value);
    }
    
}
